package net.yaht.m.trycust;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.View;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.LinearLayout;
import android.view.ViewGroup.LayoutParams;

public class MainActivity extends Activity {

    private static final String _LOG_TAG = "=-= RoundB";
    public void log2me(String where, String what) {
        Log.v(_LOG_TAG + "." + where, what);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);

        // NOTE: our original activity. Default, blank one...
        setContentView(R.layout.activity_main);
        // setContentView(R.layout.ml_laout);

/*

        LinearLayout _line_layout = new LinearLayout(this);

        // specifying vertical orientation
        _line_layout.setOrientation(LinearLayout.VERTICAL);

        // creating LayoutParams, to use when setting our view;
        LayoutParams _layout_params = new LayoutParams(
                LayoutParams.MATCH_PARENT,
                LayoutParams.MATCH_PARENT
        );

        net.yaht.m.trycust.RoundB _rb_01 = new net.yaht.m.trycust.RoundB(this);

        // NOTE: gravity concerns our exact View component;
        LinearLayout.LayoutParams _llp = new LinearLayout.LayoutParams(
                100,
                100
//                      LayoutParams.MATCH_PARENT,
//                      LayoutParams.MATCH_PARENT
        );
        _llp.gravity = Gravity.CENTER;

        _rb_01.setLayoutParams(_llp);

        _line_layout.addView(_rb_01);
        setContentView(_line_layout, _layout_params);
*/

    }
}
